#!/bin/bash

set -euo pipefail

export RESTIC_REPOSITORY="sftp://u301712@u301712.your-storagebox.de/mailcow"
RESTIC_SFTP_COMMAND_OPTION="-o sftp.command=ssh -i /root/.ssh/id_storagebox -p 23 u301712@u301712.your-storagebox.de -s sftp"
export RESTIC_PASSWORD='{{ lookup('passwordstore', env +'/mailserver/RESTIC_PASSWORD create=true')}}'

if ([ -z "$(restic "${RESTIC_SFTP_COMMAND_OPTION}" cat config)" ]) 2>/dev/null; then
  exit 1
fi
restic "${RESTIC_SFTP_COMMAND_OPTION}" check
